//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 13-1 #2
//
// Draws a five inch square at the center of a Plotter.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define TO_INCHES(x) (float)x/4369.0
#define moveto(x,y) printf("moveto(%f,%f)\r\n", TO_INCHES(x),TO_INCHES(y))
#define drawto(x,y) printf("drawto(%f,%f)\r\n", TO_INCHES(x),TO_INCHES(y))

void main(void) 
{
   moveto(21845,21845);
   drawto(43690, 21845);
   drawto(43690, 43690);
   drawto(21845, 43690);
   drawto(21845, 21845);
   moveto(0,0);
   
   for(;;);
}
